IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_182_check]') AND type = 'P')
DROP PROCEDURE [dbo].[order_182_check]
GO

-- 生成时间:2018-06-19 17:30:51 by ebs-core  
CREATE  procedure order_182_check(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @operation varchar(50) output,
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_182 where ord_id=@ordid  

exec drop_temp_table '#detail2' 
select * into #detail2 from order_182_2 where ord2_ordid=@ordid  

 ---- 以下是开发人员写的 check order 事件 --------------
 if exists (select 1 from #master right join #detail2 on ord_fydpid = ord2_ysbmid where ord2_zt = '成功' and ord_depart is null)
begin
    set @operation='abort'
    set @errorinfo='预算明细中成功状态的预算费用项存在与主表中预算部门不符合的情况'
end
 ---- 以上是开发人员写的 check order 事件 --------------
 
 if (@operation='continue') 
 begin
 set @sys_recid=@sys_recid  -- here useless 
 
end 
--- 清除临时表 
exec drop_temp_table '#detail2'

exec drop_temp_table '#master' 

set nocount off 
end